%define pkg_name        Mail-SimpleList
%define pkg_version     0.93
%define rpm_pkg_version 0.93
%define rpm_pkg_release 1.n0i.2

Summary:       Module for managing simple, temporary, easy mailing lists
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/C/CH/CHROMATIC/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(Module::Build)
BuildRequires: perl(Class::Roles) >= 0.30
BuildRequires: perl(Mail::Action) >= 0.42
BuildRequires: perl(Mail::Internet) >= 1.53
BuildRequires: perl(Pod::Simple)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::MockObject) >= 1.07
BuildRequires: perl(YAML) >= 0.35


%description
Sometimes, you just need a really simple mailing list to last for a few
days. You want it to be easy to create and easy to use, and you want it to
be easy to unsubscribe. It's not worth setting up a complex system with one
of the existing mailing list managers, but it's nice not to worry about who
does and doesn't want to participate. Mail::SimpleList,
Mail::SimpleList::Aliases, and Mail::SimpleList::Alias make it easy to
create a temporary mailing list system.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.93-1.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.93

* Wed Aug 03 2005 Marius Feraru <altblue@n0i.net> 0.90-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
